Summary: Rotates, compresses, removes and mails system log files.
Name: logrotate
Version: 3.7
Release: 4tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.redhat.com/pub/redhat/code/logrotate/logrotate-%{version}.tar.gz
Source1: logrotate.conf
Patch0: logrotate-3.7-compressowner.patch
BuildRoot: /var/tmp/logrotate.root
Requires: mailx

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally, logrotate
runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the log
files on your system.

%prep
%setup -q
%patch0 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?use_selinux: WITH_SELINUX=yes}

%install
make PREFIX=$RPM_BUILD_ROOT MANDIR=/usr/share/man install
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/var/lib

install -m 644 $RPM_SOURCE_DIR/logrotate.conf $RPM_BUILD_ROOT/etc/logrotate.conf
install -m 755 examples/logrotate.cron $RPM_BUILD_ROOT/etc/cron.daily/logrotate
touch $RPM_BUILD_ROOT/var/lib/logrotate.status

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755, root, root) /usr/sbin/logrotate
%attr(0644, root, root) %{_mandir}/man8/logrotate.8*
%attr(0755, root, root) /etc/cron.daily/logrotate
%attr(0644, root, root) %config(noreplace) /etc/logrotate.conf
%attr(0755, root, root) %dir /etc/logrotate.d
%attr(0644, root, root) %verify(not size md5 mtime) %config(noreplace) /var/lib/logrotate.status

%changelog
* Thu Apr  1 2004 Erlend Midttun <erlendbm at trustix dot com> 3.7-4tr
- Added patch to fix permissions on compressed logfiles.

* Wed Feb 11 2004 Oystein Viggen <oysteivi at trustix dot org> 3.7-1tr
- New upstream with optional selinux support
- Conditionally enable selinux support

* Tue Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 3.6.9-1tr
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 3.6.8-6tr
- Make %%setup quiet.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 3.6.8-5tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.6.8-4tr
- Big rebuild

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 3.6.8-3em
- Added lastlog again.

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 3.6.8-2em
- Seems error is no longer used in logrotate.conf.

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 3.6.8-1em
- Added Req: mailx as it used /bin/mail for mails.
- New upstream.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.5.4-2em
- Rebuilt against glibc 2.3.2.

* Fri Jan 19 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.
- Added new config file.

* Fri Jan 19 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added noreplace and verify on config file.

* Thu Nov 16 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to version 3.5.

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- moved man page to /usr/share/man for FHS compliance

